//M: Código de Eva (para Preview)
package uk.ac.reload.editor.style;

public class Unit {
    
    private String name;
    private String description;
    private String contentType;
    private String[] resources;
    private Unit[] subUnits;
    
    /** Creates a new instance of Unit */
    
    public Unit(String name, String description, String contentType, String[] resources) {
        this(name, description, contentType, resources, null);
    }
    
    public Unit(String name, String description, String contentType, String[] resources, Unit[] subUnits) {
        this.name = name;
        this.description = description;
        this.contentType = contentType;
        this.resources = resources;
        this.subUnits = subUnits;
    }

    public String getName() {
        return name;
    }

    public String getDescription() {
        return description;
    }

    public String getContentType() {
        return contentType;
    }

    public String[] getResources() {
        return resources;
    }
    
    public Unit[] getSubUnits() {
        return subUnits;
    }
    
    public void setSubUnits(Unit[] subUnits) {
        this.subUnits = subUnits;
    }
     
    public String toString() {
        return name;
    }
    
}
